Bug 669047 - SELinux is preventing /usr/sbin/sshd from 'module_request' accesses on the system Unknown.
Summary: SELinux is preventing /usr/sbin/sshd from 'module_request' accesses on the sy...
Keywords:
Status: CLOSED DUPLICATE of bug 641836
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:ffae0772b6c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-12 15:02 UTC by Paul Campbell
Modified: 2011-02-01 18:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-12 17:00:47 UTC
Type: ---


Attachments (Terms of Use)

Description Paul Campbell 2011-01-12 15:02:45 UTC
SELinux is preventing /usr/sbin/sshd from 'module_request' accesses on the system Unknown.

*****  Plugin catchall_boolean (89.3 confidence) suggests  *******************

If you want to allow all domains to have the kernel load modules
Then you must tell SELinux about this by enabling the 'domain_kernel_load_modules' boolean.
Do
setsebool -P domain_kernel_load_modules 1

*****  Plugin catchall (11.6 confidence) suggests  ***************************

If you believe that sshd should be allowed module_request access on the Unknown system by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep /usr/sbin/sshd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:kernel_t:s0
Target Objects                Unknown [ system ]
Source                        sshd
Source Path                   /usr/sbin/sshd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           openssh-server-5.5p1-24.fc14.2
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.7-19.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.10-74.fc14.i686 #1 SMP Thu Dec 23
                              16:17:40 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Wed 12 Jan 2011 06:46:24 AM PST
Last Seen                     Wed 12 Jan 2011 06:46:24 AM PST
Local ID                      72eb2a51-c0ae-4f3d-b91c-cde1c3b61852

Raw Audit Messages
type=AVC msg=audit(1294843584.384:6): avc:  denied  { module_request } for  pid=1015 comm="sshd" kmod="net-pf-10" scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kernel_t:s0 tclass=system

sshd,sshd_t,kernel_t,system,module_request
type=SYSCALL msg=audit(1294843584.384:6): arch=i386 syscall=socketcall success=no exit=EAFNOSUPPORT a0=1 a1=bfb00760 a2=f7a7a8 a3=19b0d68 items=0 ppid=1 pid=1015 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=sshd exe=/usr/sbin/sshd subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 key=(null)
sshd,sshd_t,kernel_t,system,module_request

#============= sshd_t ==============
#!!!! This avc can be allowed using the boolean 'domain_kernel_load_modules'

allow sshd_t kernel_t:system module_request;

Comment 1 Daniel Walsh 2011-01-12 17:00:47 UTC

*** This bug has been marked as a duplicate of bug 641836 ***


Note You need to log in before you can comment on or make changes to this bug.